=== packages/invirt-host-master/debian/changelog ===
invirt-host-master (0.0.7) unstable; urgency=low

  * sipb-xen-autoinstaller-host -> invirt-autoinstaller-host

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:51:53 -0400

invirt-host-master (0.0.6) unstable; urgency=low

  * sipb-xen-dhcp -> invirt-dhcp
  * sipb-xen-vnc-server -> invirt-vnc-server

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 12:45:15 -0400

invirt-host-master (0.0.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:28 -0400

invirt-host-master (0.0.4) unstable; urgency=low

  * Add invirt-images to dependencies

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:08:57 -0400

invirt-host-master (0.0.3) unstable; urgency=low

  * sipb-xen-autoinstaller-host has a different name from its
    source package sipb-xen-autoinstaller

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:53:26 -0400

invirt-host-master (0.0.2) unstable; urgency=low

  * remove bitrotten sipb-xen-clvm-config

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:45:28 -0400

invirt-host-master (0.0.1) unstable; urgency=low

  * First version as a real package rather than equivs.
  * Rename from sipb-xen-host-master.

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:05:16 -0400
