=== packages/invirt-remote-server/debian/changelog ===
invirt-remote-server (0.0.11) unstable; urgency=low

  * Don't proxy requests for the VNC cert if the requested hostname isn't
    an Invirt host

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:17:10 -0400

invirt-remote-server (0.0.10) unstable; urgency=low

  * All remctls of type 'web' have the same ACL - glob them together

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:05:42 -0400

invirt-remote-server (0.0.9) unstable; urgency=low

  * Add support for a `web vnccert` remctl call

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:45:29 -0400

invirt-remote-server (0.0.8) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:32 -0400

invirt-remote-server (0.0.7) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:03:13 -0400

invirt-remote-server (0.0.6) unstable; urgency=low

  * Remove dependency on sipb-xen-chrony-config - we need to take care of
    the clock, but chrony isn't the right answer

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:16:08 -0400

invirt-remote-server (0.0.5) unstable; urgency=low

  * Rename a remaining sipb-xen file to invirt

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 22:21:30 -0400

invirt-remote-server (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:49:45 -0400

invirt-remote-server (0.0.3) unstable; urgency=low

  * Standardize on "Invirt project"

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:33:25 -0400

invirt-remote-server (0.0.2) unstable; urgency=low

  * oops, update control from control.in
  * configurize web acl

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 00:28:08 -0400

invirt-remote-server (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:58:36 -0400

sipb-xen-remote-server (0.10.2) unstable; urgency=low

  * There's a race condition for if the VM gets powered off between the
    listvms and the actual request. Solve the problem correctly by using a
    non-conflicting error code to indicate an invalid command

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:46:38 -0400

sipb-xen-remote-server (0.10.1) unstable; urgency=low

  * Make both list-host and listhost valid commands, and for parity with
    list-long, document list-host

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:36:32 -0400

sipb-xen-remote-server (0.10) unstable; urgency=low

  * If a command is invalid, but the machine's on, give an actually useful
    error message

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:29:50 -0400

sipb-xen-remote-server (0.9.2) unstable; urgency=low

  * Expose an interface to the autoinstaller over remctl
  * Validate options to be passed to the autoinstaller on the remctl
    server

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:06:00 -0400

sipb-xen-remote-server (0.9.1) unstable; urgency=low

  * Fix a bug in the database handling code

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 18:42:48 -0400

sipb-xen-remote-server (0.9) unstable; urgency=low

  [Evan Broder]
  * Make the acl/ subdir of RemConfFS listable
  
  [Greg Price]
  * Update RemConfFS for new SQLAlchemy code

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:28:23 -0400

sipb-xen-remote-server (0.8) unstable; urgency=low

  * Use RouteFS for RemConfFS

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 02:21:00 -0400

sipb-xen-remote-server (0.7) unstable; urgency=low

  * depend on sipb-xen-base

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 20:47:05 -0400

sipb-xen-remote-server (0.6) unstable; urgency=low

  * sipb_xen_database -> invirt.config

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:54:59 -0400

sipb-xen-remote-server (0.5) unstable; urgency=low

  * use invirt config in sipb-xen-remconffs, sipb-xen-remctl-help,
    sipb-xen-remote-proxy

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:32:59 -0400

sipb-xen-remote-server (0.4) unstable; urgency=low

  * use invirt.config to get hostnames
  * refactoring: extracted bcast() function into invirt.remote package

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:34:50 -0400

sipb-xen-remote-server (0.3) unstable; urgency=low

  * Fill in all the code to make the package work (mostly weeks ago.)
  * sipb-xen-remote-listvms aggregates listvms across hosts (with
    y_z, broder, andersk)
  * sipb-xen-remctl-help gives help
  * sipb-xen-remote-control proxies to where a machine is running
  * sipb-xen-remote-create chooses where to boot by load-balancing

 -- Greg Price <price@mit.edu>  Thu, 24 Jul 2008 21:34:20 -0400

sipb-xen-remote-server (0.2) unstable; urgency=low

  * FUSE filesystem for remctl configuration.
  * Remove *register calls, since the FUSE keeps things up to date.
  * An init script to keep the FUSE fs up.

 -- Greg Price <price@mit.edu>  Sat, 10 May 2008 22:04:32 -0400

sipb-xen-remote-server (0.1) unstable; urgency=low

  * First draft.

 -- Greg Price <price@mit.edu>  Sun, 30 Mar 2008 01:08:50 -0400
