=== packages/xvm-prodconfig/debian/changelog ===
xvm-prodconfig (0.20) unstable; urgency=low

  * Take advantage of multi-word zonefile entries by adding explanations
    for our reservations

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:06:52 -0400

xvm-prodconfig (0.19.2) unstable; urgency=low

  * Zone files use semicolons for comments, not hashes

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:16:08 -0400

xvm-prodconfig (0.19.1) unstable; urgency=low

  * Forgot to actually install the zone file

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:10:16 -0400

xvm-prodconfig (0.19) unstable; urgency=low

  * Rearrange package to not have useless files/ tree
  * Add a default zone file with overrides of names we don't want people
    taking

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 01:48:45 -0400

xvm-prodconfig (0.18) unstable; urgency=low

  * Punt sysvm configs - they're in invirt-xen-config now

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:45:11 -0400

xvm-prodconfig (0.17.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:44 -0400

xvm-prodconfig (0.17.4) unstable; urgency=low

  * xvm-2 -> xvm-dev

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:26:14 -0400

xvm-prodconfig (0.17.3) unstable; urgency=low

  * New database name/auth info thanks to sipb-xen-database-server
    changing to invirt-database-server

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:05:41 -0400

xvm-prodconfig (0.17.2) unstable; urgency=low

  * name the web admin ACL more descriptively as system:xvm-webacl

 -- Greg Price <price@mit.edu>  Tue, 21 Oct 2008 23:33:42 -0400

xvm-prodconfig (0.17.1) unstable; urgency=low

  * Oh yeah - their IP addresses changed to

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:46:36 -0400

xvm-prodconfig (0.17) unstable; urgency=low

  * Move the console and remote servers to more sensible names

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:41:01 -0400

xvm-prodconfig (0.16) unstable; urgency=low

  * Use system:xvm-maintainers as the admin ACL - it's xvm-root's null
    instances

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 12:17:40 -0400

xvm-prodconfig (0.15) unstable; urgency=low

  * Asterisk is a special character in YAML - quote it

 -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 22:32:24 -0400

xvm-prodconfig (0.14) unstable; urgency=low

  * Update DNS to expect queries from prod.xvm.mit.edu

 -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 22:13:05 -0400

xvm-prodconfig (0.13) unstable; urgency=low

  * use wildcard in web.errormail_exclude

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:34:06 -0700

xvm-prodconfig (0.12) unstable; urgency=low

  * Move the console server to archiver.mit.edu

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 01:51:28 -0400

xvm-prodconfig (0.11.1) unstable; urgency=low

  * Hmm...100003 apparently isn't a real port

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:37:49 -0400

xvm-prodconfig (0.11) unstable; urgency=low

  * Add a vnc section

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:16:29 -0400

xvm-prodconfig (0.10) unstable; urgency=low

  * Add dhcp section

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 19:53:00 -0400

xvm-prodconfig (0.9.2) unstable; urgency=low

  * Add the svn.uri for svn checkout packages

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:05:35 -0400

xvm-prodconfig (0.9.1) unstable; urgency=low

  * Update dns section to be less of a lie

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 18:55:26 -0400

xvm-prodconfig (0.9) unstable; urgency=low

  * Add dns section, even though it's something of a lie

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 08:07:05 -0400

xvm-prodconfig (0.8) unstable; urgency=low

  * add console section

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:53:30 -0400

xvm-prodconfig (0.7) unstable; urgency=low

  * Replace citadel-station with shadow-moses and arklay-mansion as hosts
    while we get those two up

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:30:23 -0400

xvm-prodconfig (0.6) unstable; urgency=low

  * Add remote section

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 12:04:18 -0400

xvm-prodconfig (0.5) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:46:46 -0400

xvm-prodconfig (0.4) hardy; urgency=low

  * add web, svn, trac sections

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:03 +0000

xvm-prodconfig (0.3ubuntu1) hardy; urgency=low

  * Add some system-vm xen configs.

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 01:56:00 +0000

xvm-prodconfig (0.3) unstable; urgency=low

  * Include a copy of the apt key; currently not automatically installed.

 --  Sam Hartman <hartmans@xvm.mit.edu>  Sun, 24 Aug 2008 20:51:34 +0000

xvm-prodconfig (0.2) unstable; urgency=low

  * Fix script names

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:47:43 -0400

xvm-prodconfig (0.1) unstable; urgency=low

  * Initial prodconfig release

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:40:35 -0400
